package org.springblade.modules.external.ycbigdata.community.wrapper;

import org.springblade.community.unit.entity.Unit;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.UnitVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class UnitWrapper extends BaseEntityWrapper<Unit, UnitVO> {


	public static UnitWrapper build(){
		return new UnitWrapper();
	}
	@Override
	public UnitVO entityVO(Unit unit) {

		UnitVO unitVO = Objects.requireNonNull(BeanUtil.copy(unit,UnitVO.class));
		return unitVO;
	}
}
